Admin (Axis API)
Keywords: org.apache.axis.utils.Admin class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class Admin

    java.lang.Object
      org.apache.axis.utils.Admin

public class Admin
extends java.lang.Object

Handy static utility functions for turning XML into Axis deployment operations.

Author:
  Doug Davis (dug@us.ibm.com), Glen Daniels (gdaniels@apache.org)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`Admin()`

Method Summary
`org.w3c.dom.Element[]` | `AdminService(org.w3c.dom.Element[] xml)` Process a given XML document - needs cleanup.
`static org.w3c.dom.Document` | `listConfig(AxisEngine engine)` Get an XML document representing this engine's configuration.
`static void` | `main(java.lang.String[] args)`
`org.w3c.dom.Document` | `process(MessageContext msgContext, org.w3c.dom.Element root)` The meat of the Admin service.
`protected static org.w3c.dom.Document` | `processWSDD(MessageContext msgContext, AxisEngine engine, org.w3c.dom.Element root)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### Admin

    public Admin()

Method Detail

### AdminService

    public org.w3c.dom.Element[] AdminService(org.w3c.dom.Element[] xml)
                                       throws java.lang.Exception

  Process a given XML document - needs cleanup.

  Throws:
    `java.lang.Exception`

### processWSDD

    protected static org.w3c.dom.Document processWSDD(MessageContext msgContext,
                                                      AxisEngine engine,
                                                      org.w3c.dom.Element root)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### process

    public org.w3c.dom.Document process(MessageContext msgContext,
                                        org.w3c.dom.Element root)
                                 throws java.lang.Exception

  The meat of the Admin service. Process an xML document rooted with a "deploy", "undeploy", "list", or "quit" element.

  Parameters:
    `msgContext` - the MessageContext we're processing
    `root` - the root Element of the XML
  Returns:
    an XML Document indicating the results.
  Throws:
    `java.lang.Exception`

### listConfig

    public static org.w3c.dom.Document listConfig(AxisEngine engine)
                                           throws AxisFault

  Get an XML document representing this engine's configuration. This document is suitable for saving and reloading into the engine.

  Parameters:
    `engine` - the AxisEngine to work with
  Returns:
    an XML document holding the engine config
  Throws:
    `AxisFault`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.